Bug 144344 - kernel ignores vga=xxx in commanline
kernel ignores vga=xxx in commanline
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-06 05:03 EST by drago01
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-27 23:40:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (14.37 KB, text/plain)
2005-01-11 12:38 EST, drago01
no flags Details
output of lspci (1.04 KB, text/plain)
2005-01-11 12:39 EST, drago01
no flags Details

  None (edit)
Description drago01 2005-01-06 05:03:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I upgraded to kernel-2.6.9-1.724_FC3 and when the systems boots up it
does not load vesafb.(default console..)
After upgrading to kernel-2.6.10-1.727_FC3 (gdb bug....) the problem
still exists.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.boot with any vga=xxx paramenter
2.notice that there is no vesafb


Actual Results:  no vesafb

Expected Results:  vesafb should be loaded

Additional info:
Comment 1 Dave Jones 2005-01-10 21:58:34 EST
which value are you using for xxx ?  Here vga=791 works just fine.
Comment 2 drago01 2005-01-11 12:37:56 EST
I use vga=794. I tested it with 791 and it works. 794 (1280x1024)
worked well with kernel-2.6.9-1.681 now I am using 2.6.10-1.737_FC3.
I will attatch the output of dmesg and lspci.
Comment 3 drago01 2005-01-11 12:38:51 EST
Created attachment 109623 [details]
dmesg output
Comment 4 drago01 2005-01-11 12:39:48 EST
Created attachment 109624 [details]
output of lspci
Comment 5 drago01 2005-01-16 04:05:24 EST
I tested:
but no one seems to work...
why deos vesafb no longer works at 1280x1024?
Comment 6 Greg Swift 2005-02-27 11:04:22 EST
My problem is complete garbage on the screen at bootup,
the only way around it is to use vga=ask and then choose
number 0 ; any other combination of vga=xxxxx does not
fix the garbage.  Even after boot, the login prompt screen
has crap on it.  What do I do to fix this?
Comment 7 Dave Jones 2005-07-15 14:54:39 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 drago01 2005-07-16 01:46:50 EDT
I updated to fc4 and still has the same problem.
Comment 9 Dave Jones 2005-09-30 03:10:54 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 10 Dave Jones 2005-11-10 15:16:40 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 Dave Jones 2005-12-27 23:40:45 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.
Comment 12 drago01 2005-12-28 02:42:48 EST
vga=794 still does nothing... but on my lcd screen+6600GT 791 gives me 1280x1024
Comment 13 Dave Jones 2005-12-29 02:03:17 EST
I'm puzzled why 794 doesn't work for you.  I suggest taking this up with the
upstream maintainer of the frame buffer layer, Antonino Daplas <adaplas@pol.net>
as he may have some ideas.  If he comes up with some fix, Fedora will pick it up
as soon as it's in Linus' kernel.


Note You need to log in before you can comment on or make changes to this bug.